package com.huiju.estateagents.property.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author yansen
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TpMessageBoard留言本", description="")
public class TpMessageBoard implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "msg_id", type = IdType.AUTO)
    private Integer msgId;

    @ApiModelProperty(value = "留言内容")
    private String content;

    @ApiModelProperty(value = "内容类型")
    private String contentType;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "房间ID")
    private Integer roomId;

    @ApiModelProperty(value = "留言时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "小区ID")
    private Integer communityId;

    @ApiModelProperty(value = "机构ID")
    private Integer orgId;

    @ApiModelProperty(value = "昵称")
    @TableField(exist = false)
    private String nickname;

    @ApiModelProperty(value = "业主电话")
    @TableField(exist = false)
    private String phone;

    @ApiModelProperty(value = "业主头像")
    @TableField(exist = false)
    private String avatar;

    @ApiModelProperty(value = "回复记录ID")
    @TableField(exist = false)
    private Integer replyId;

    @ApiModelProperty(value = "物业人员ID")
    @TableField(exist = false)
    private Integer userId;
}
