package com.huiju.estateagents.property.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * app端用户审核表，存放用户的角色还有房产信息
 * </p>
 *
 * @author jobob
 * @since 2019-04-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaUserVerify implements Serializable {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    
    /**
     * 用户ID
     */
    private String personId;

    private Integer orgId;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 角色ID
     */
    private Integer roleId;

    /**
     * 期ID
     */
    private Integer phaseId;

    /**
     * 期
     */
    private String phaseName;

    /**
     * 楼栋ID
     */
    private Integer buildingId;

    /**
     * 楼栋
     */
    private String buildingName;

    /**
     * 单元
     */
    private Integer unitId;

    /**
     * 单元
     */
    private String unitName;

    /**
     * 楼层id
     */
    private Integer levelId;

    /**
     * 楼层
     */
    private String levelName;

    /**
     * 户号ID
     */
    private Integer roomNoId;

    /**
     * 户号
     */
    private String roomNoName;

    /**
     * 认证状态  0 是未审核   1是审核通过   2是审核不通过
     */
    private String verifyStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 审核人的姓名
     */
    private String verifyName;

    /**
     * 备注
     */
    private String remark;

    // =============================================

    /**
     * 手机号
     */
    private String phone;

    /**
     * 用户姓名
     */
    private String ownerName;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 性别 1：男   2：女
     */
    @TableField(exist = false)
    private String gender;

    /**
     * 人脸图片
     */
    @TableField(exist = false)
    private String faceImg;

    /**
     * 角色名称
     */
    @TableField(exist = false)
    private String roleName;

    @TableField(exist = false)
    private String userName;

    /**
     * 小区名称
     */
    @TableField(exist = false)
    private String communityName;

    /**
     * 小区 省市区
     */
    @TableField(exist = false)
    private String communityAddress;

    /**
     * 审核结果的url
     */
    @TableField(exist = false)
    private String verifyUrl;

    /**
     * 用户手机号
     */
    @TableField(exist = false)
    private String loginName;

    /**
     * 总积分
     */
    @TableField(exist = false)
    private Integer totalPoints;

}
