package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.Hotel;

/**
 * <p>
 * 酒店 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
public interface IHotelService extends IService<Hotel> {

    /**
     * 房间列表
     * @param parameter
     * @param orgId
     * @return
     */
    ResponseBean hotelRoomLiset(String parameter, Integer orgId);

    /**
     * 添加房间
     * @param parameter
     * @return
     */
    ResponseBean hotelRoomAdd(String parameter, TaUser userElement);

    /**
     * 编辑房间
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean hotelRoomEdit(String parameter, TaUser userElement);

    /**
     * 修改上架或下架
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean hotelRoomRoomStatus(String parameter, TaUser userElement);
	
	/**
	 * 根据小区id获取酒店信息
	 * @param userElement
	 * @return
	 */
	Hotel getHotelData(TaUser userElement);
	
	/**
	 * 添加或修改酒店
	 * @param hotel
	 * @param userElement
	 * @return
	 */
	ResponseBean addHotel(Hotel hotel, TaUser userElement);
}
